package com.jay.monitor.data.server.process;

import com.alibaba.fastjson.JSON;
import com.alipay.remoting.BizContext;
import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.core.model.serializable.MQDataDTO;
import com.jay.monitor.data.server.store.StoreDataManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Module 消息处理
 * @Description 消息队列过来的请求参数
 * @Author liukaixiong
 * @Date 2020/10/23 15:52
 */
@Component
public class MQUserProcess extends AbstractUserProcess<MQDataDTO> {

    private Logger logger = LoggerFactory.getLogger(MQUserProcess.class);

    @Autowired
    private StoreDataManager storeDataManager;

    @Override
    public Object handleRequest0(BizContext bizCtx, MQDataDTO request) throws Exception {
        logger.debug("接收到的URL 传输对象:" + JSON.toJSONString(request));
        return storeDataManager.store(MsgTypeEnums.MQ, request);
//        JayMonitorMq monitorUrl = new JayMonitorMq();
//        BeanUtils.copyProperties(request, monitorUrl);
//        monitorUrl.setApplicationName(DataUtils.getStringValue(request.getApplicationName(), bizCtx.getInvokeContext().get(MonitorDataConstants.INVOKE_CLIENT_NAME)));
//        monitorUrl.setApplicationIp(DataUtils.getStringValue(request.getIp(), bizCtx.getInvokeContext().get(MonitorDataConstants.INVOKE_CLIENT_IP)));
//        monitorUrl.setCreatedDay(request.getCreateDate());
//        monitorUrl.setCreatedTime(request.getCreateDate());
//        monitorUrl.setMonitorType(request.getType().name());
//        monitorUrl.setDataGroupName(request.getGroupName());
//        monitorUrl.setDataGroupKey(request.getGroupName());
//        monitorUrl.setDataId(request.getDataId());
//
//        int id = urlMapper.insert(monitorUrl);
//
//        JayMonitorUrlLog urlLog = new JayMonitorUrlLog();
//        urlLog.setMonitorId(id);
//        urlLog.setCreateDate(request.getCreateDate());
//        urlLog.setLogId(request.getLogId());
//        urlLog.setLogText(request.getJsonContent());
//        urlLog.setMonitorType(request.getType().name());
//        int logId = urlLogMapper.insert(urlLog);
//        logger.debug(" 接收到客户端传递过来的数据 ... ");
//        return request;
    }

    @Override
    public List<String> multiInterest() {
        return getNamesList(MQDataDTO.class);
    }
}
