package com.jay.monitor.data.server.store;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.server.enums.StoreType;

/**
 * @Module 执行器
 * @Description 抽象存储
 * @Author liukaixiong
 * @Date 2020/10/29 13:33
 */
public abstract class AbstractStoreProcess<T> {
    /**
     * 存储类型
     *
     * @return
     */
    public abstract StoreType storeType();

    /**
     * 消息类型
     *
     * @return
     */
    public abstract MsgTypeEnums msgTypeEnums();

    public abstract Object store(T data) throws Exception;

}
